package de.votian.services.entity;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.IdClass;
import jakarta.persistence.Table;

@Entity
@Table(name = "serviceplzneighbour")
@IdClass(ServiceZipCodeNeighbourId.class)
public class ServiceZipCodeNeighbour {

    @Id
    @Column(name = "hq_id")
    private Long headquartersId;

    @Id
    @Column(name = "srvp_id")
    private Long zipCodeId;

    @Id
    @Column(name = "srvp2_id")
    private Long neighbourZipCodeId;

    @Column(name = "srvpn_sort")
    private Integer sortOrder;

    public Long getHeadquartersId() {
        return headquartersId;
    }

    public void setHeadquartersId(Long headquartersId) {
        this.headquartersId = headquartersId;
    }

    public Long getZipCodeId() {
        return zipCodeId;
    }

    public void setZipCodeId(Long zipCodeId) {
        this.zipCodeId = zipCodeId;
    }

    public Long getNeighbourZipCodeId() {
        return neighbourZipCodeId;
    }

    public void setNeighbourZipCodeId(Long neighbourZipCodeId) {
        this.neighbourZipCodeId = neighbourZipCodeId;
    }

    public Integer getSortOrder() {
        return sortOrder;
    }

    public void setSortOrder(Integer sortOrder) {
        this.sortOrder = sortOrder;
    }
}
